Bug 825511 - Review Request: python-django-south - Intelligent schema migrations for Django apps
Review Request: python-django-south - Intelligent schema migrations for Djang...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-05-26 23:27 EDT by Domingo Becker
Modified: 2012-06-16 20:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Domingo Becker 2012-05-26 23:27:39 EDT
Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-south.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-south-0.7.3-1.fc18.src.rpm

Description: South brings migrations to Django applications. Its main objectives 
are to provide a simple, stable and database-independent migration layer to 
prevent all the hassle schema changes over time bring to your Django applications.

Fedora Account System Username: beckerde
Comment 1 Matthias Runge 2012-05-29 03:21:54 EDT
I'll take this one
Comment 2 Domingo Becker 2012-05-29 12:56:46 EDT
Removed BuildRoot, clean, defattr and rm -rf buildroot.

Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-south.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-south-0.7.3-2.fc18.src.rpm
Comment 3 greg.hellings 2012-05-30 21:14:17 EDT
How is this different from the "Django-south" module?
Comment 4 Matthias Runge 2012-06-01 16:32:07 EDT
Domingo, will you also provide an update to the latest version, like for django-south?
Comment 5 Domingo Becker 2012-06-02 09:19:06 EDT
(In reply to comment #4)
> Domingo, will you also provide an update to the latest version, like for
> django-south?

yep.

Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-south.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-south-0.7.5-1.fc18.src.rpm
Comment 6 Matthias Runge 2012-06-04 03:44:01 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-django-south-0.7.5-1.fc18.noarch.rpm

python-django-south.noarch: W: no-documentation
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/emptyapp/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/deps_a/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/circular_a/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/circular_b/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/deps_b/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/deps_c/models.py
1 packages and 0 specfiles checked; 6 errors, 1 warnings.


rpmlint python-django-south-0.7.5-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/825511/south-0.7.5.tar.gz :
  MD5SUM this package     : 69c73d67c953249f9c33a85de3ed5321
  MD5SUM upstream package : 69c73d67c953249f9c33a85de3ed5321

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-django-south-0.7.5-1.fc18.noarch.rpm

python-django-south.noarch: W: no-documentation
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/emptyapp/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/deps_a/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/circular_a/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/circular_b/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/deps_b/models.py
python-django-south.noarch: E: zero-length /usr/lib/python2.7/site-packages/south/tests/deps_c/models.py
1 packages and 0 specfiles checked; 6 errors, 1 warnings.


rpmlint python-django-south-0.7.5-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

- You need to fix those errors.
- you should include the README into %doc
- you should list the files more specific in files-section.
%files
%doc README
%{python_sitelib}/south
%{python_sitelib}/South-%{version}-py?.?.egg-info


- you really should(!) remove that bundled egg-info in prep-section. it gets rebuild during build section.

- you should request upstream to include a license
Comment 7 Domingo Becker 2012-06-05 12:31:15 EDT
(In reply to comment #6)
> [!]: MUST Rpmlint output is silent.
> 
> rpmlint python-django-south-0.7.5-1.fc18.noarch.rpm
> 
> python-django-south.noarch: W: no-documentation
> python-django-south.noarch: E: zero-length
> /usr/lib/python2.7/site-packages/south/tests/emptyapp/models.py
> python-django-south.noarch: E: zero-length
> /usr/lib/python2.7/site-packages/south/tests/deps_a/models.py
> python-django-south.noarch: E: zero-length
> /usr/lib/python2.7/site-packages/south/tests/circular_a/models.py
> python-django-south.noarch: E: zero-length
> /usr/lib/python2.7/site-packages/south/tests/circular_b/models.py
> python-django-south.noarch: E: zero-length
> /usr/lib/python2.7/site-packages/south/tests/deps_b/models.py
> python-django-south.noarch: E: zero-length
> /usr/lib/python2.7/site-packages/south/tests/deps_c/models.py
> 1 packages and 0 specfiles checked; 6 errors, 1 warnings.
> 
> 
> - You need to fix those errors.

I asked about this, and the answer was that these files are needed by python-django even with zero-lenght.

> [!]: SHOULD If the source package does not include license text(s) as a
>      separate file from upstream, the packager SHOULD query upstream to
>      include it.
>
> - you should request upstream to include a license


I'll file a ticket upstream with this request.

> - you should include the README into %doc

Added.

> - you should list the files more specific in files-section.
> %files
> %doc README
> %{python_sitelib}/south
> %{python_sitelib}/South-%{version}-py?.?.egg-info
> 

Done this way.

> 
> - you really should(!) remove that bundled egg-info in prep-section. it gets
> rebuild during build section.
> 

Sorry, I don't understand.

Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-south.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-south-0.7.5-2.fc18.src.rpm
Comment 8 Matthias Runge 2012-06-05 15:09:39 EDT
- could you please change BuildRequires to
BuildRequires: python2-devel
BuildRequires: python-setuptools

- and also please change your %prep-section to:

%prep
%setup -q -n South-%{version}
# remove bundled egg-info
rm -rf South.egg-info

I'm pretty sure, those empty files are not required for django. I'd also leave them there like they are, they won't harm in any way.

Package APPROVED
Comment 9 Domingo Becker 2012-06-05 21:44:15 EDT
(In reply to comment #8)
> - could you please change BuildRequires to
> BuildRequires: python2-devel
> BuildRequires: python-setuptools
> 

Done.

> - and also please change your %prep-section to:
> 
> %prep
> %setup -q -n South-%{version}
> # remove bundled egg-info
> rm -rf South.egg-info
> 

Done.

Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-south.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-south-0.7.5-3.fc18.src.rpm

> Package APPROVED

Thank you.
Comment 10 Domingo Becker 2012-06-05 21:47:23 EDT
New Package SCM Request
=======================
Package Name: python-django-south
Short Description: Intelligent schema migrations for Django apps
Owners: beckerde 
Branches: f18
InitialCC: diegobz
Comment 11 Matthias Runge 2012-06-06 15:34:35 EDT
Domingo, you need to set fedora-cvs to ? to get attention from scm administrators.
Comment 12 Jon Ciesla 2012-06-07 08:23:35 EDT
Git done (by process-git-requests).

No need to request f18, devel is automatic.

Note You need to log in before you can comment on or make changes to this bug.